Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface SNMPLogFilterMBean

public interface SNMPLogFilterMBean
extends SNMPTrapSourceMBean

This MBean represents a filter to qualify log messages which are logged to the server logfile. A message must qualify criteria specified as a filter in order to generate a trap. Multiple instances of this MBean can be defined, if needed. If there are multiple instances, a message must qualify atleast one filter to qualify for the server logfile.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addMessageId(java.lang.String messageid)` Adds a feature to the MessageId attribute of the SNMPLogFilterMBean object
`boolean` | `addSubsystemName(java.lang.String subsystem)` Adds a feature to the SubsystemName attribute of the SNMPLogFilterMBean object
`boolean` | `addUserId(java.lang.String userid)` Adds a feature to the UserId attribute of the SNMPLogFilterMBean object
`java.lang.String[]` | `getMessageIds()` Defines a list of message IDs or ID ranges to be notified when a trap is generated.
`java.lang.String` | `getMessageSubstring()` Defines a string that is searched for in the message text.
`java.lang.String` | `getSeverityLevel()` Defines the minimum severity of a message needed to be selected.
`java.lang.String[]` | `getSubsystemNames()` Defines a list of subsystems whose messages are selected by this filter.
`java.lang.String[]` | `getUserIds()` Defines a list of user IDs that are notified when a trap is generated.
`boolean` | `removeMessageId(java.lang.String messageid)`
`boolean` | `removeSubsystemName(java.lang.String subsystem)`
`boolean` | `removeUserId(java.lang.String userid)`
`void` | `setMessageIds(java.lang.String[] messageIdList)` Sets the messageIds attribute of the SNMPLogFilterMBean object
`void` | `setMessageSubstring(java.lang.String MessageSubString)` Sets the messageSubstring attribute of the SNMPLogFilterMBean object
`void` | `setSeverityLevel(java.lang.String severityLevel)` Sets the severityLevel attribute of the SNMPLogFilterMBean object
`void` | `setSubsystemNames(java.lang.String[] subsystemList)` Sets the subsystemNames attribute of the SNMPLogFilterMBean object
`void` | `setUserIds(java.lang.String[] userIdList)` Sets the userIds attribute of the SNMPLogFilterMBean object

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getSeverityLevel

    public java.lang.String getSeverityLevel()

  Defines the minimum severity of a message needed to be selected.

  - All messages with a specified severity and higher are selected.
  - The ascending order of severities: `INFO`, `WARNING`, `ERROR`, `NOTICE`, `CRITICAL`, `ALERT`, and `EMERGENCY`.

  Default Value: weblogic.logging.Severities.WARNING_TEXT
  Returns:
    The severityLevel value
  See Also:
    `Severities`

### setSeverityLevel

    public void setSeverityLevel(java.lang.String severityLevel)

  Sets the severityLevel attribute of the SNMPLogFilterMBean object

  Parameters:
    `severityLevel` - The new severityLevel value

### getSubsystemNames

    public java.lang.String[] getSubsystemNames()

  Defines a list of subsystems whose messages are selected by this filter. If none are specified, messages from all subsystems are selected.

  Returns:
    The subsystemNames value

### setSubsystemNames

    public void setSubsystemNames(java.lang.String[] subsystemList)

  Sets the subsystemNames attribute of the SNMPLogFilterMBean object

  Parameters:
    `subsystemList` - The new subsystemNames value

### addSubsystemName

    public boolean addSubsystemName(java.lang.String subsystem)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

  Adds a feature to the SubsystemName attribute of the SNMPLogFilterMBean object

  Parameters:
    `subsystem` - The feature to be added to the SubsystemName attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSubsystemName

    public boolean removeSubsystemName(java.lang.String subsystem)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

  Parameters:
    `subsystem` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getUserIds

    public java.lang.String[] getUserIds()

  Defines a list of user IDs that are notified when a trap is generated. If no user IDs are specified, messages from all user IDs are selected.

  Returns:
    The userIds value

### setUserIds

    public void setUserIds(java.lang.String[] userIdList)

  Sets the userIds attribute of the SNMPLogFilterMBean object

  Parameters:
    `userIdList` - The new userIds value

### addUserId

    public boolean addUserId(java.lang.String userid)
                      throws javax.management.InvalidAttributeValueException,
                             ConfigurationException

  Adds a feature to the UserId attribute of the SNMPLogFilterMBean object

  Parameters:
    `userid` - The feature to be added to the UserId attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeUserId

    public boolean removeUserId(java.lang.String userid)
                         throws javax.management.InvalidAttributeValueException,
                                ConfigurationException

  Parameters:
    `userid` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getMessageIds

    public java.lang.String[] getMessageIds()

  Defines a list of message IDs or ID ranges to be notified when a trap is generated. If no IDs are specified, messages from all IDs are selected.

  Example list: 20,50-100,300

  Returns:
    The messageIds value

### setMessageIds

    public void setMessageIds(java.lang.String[] messageIdList)

  Sets the messageIds attribute of the SNMPLogFilterMBean object

  Parameters:
    `messageIdList` - The new messageIds value

### addMessageId

    public boolean addMessageId(java.lang.String messageid)
                         throws javax.management.InvalidAttributeValueException,
                                ConfigurationException

  Adds a feature to the MessageId attribute of the SNMPLogFilterMBean object

  Parameters:
    `messageid` - The feature to be added to the MessageId attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeMessageId

    public boolean removeMessageId(java.lang.String messageid)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

  Parameters:
    `messageid` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getMessageSubstring

    public java.lang.String getMessageSubstring()

  Defines a string that is searched for in the message text. Only messages that contain the string are selected. If a string is not specified, all messages are selected.

  Legal NULL: false
  Returns:
    The messageSubstring value

### setMessageSubstring

    public void setMessageSubstring(java.lang.String MessageSubString)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

  Sets the messageSubstring attribute of the SNMPLogFilterMBean object

  Parameters:
    `MessageSubString` - The new messageSubstring value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD